/* eslint-disable no-undef */

/**
 * @return {string}
 */


export default {
  
  colPageConfig:({record, onLoadData, onLoadAllData, onHandleDel})=> {
    const Enum = {0: 'IQC', 1: 'FQC', 2: 'QA', 3: 'PQC'};
    if (record.BADCODE_TYPE) {
      const typeArr = record.BADCODE_TYPE.split(',');
      const arr = [];
      typeArr.forEach(item => {
        item.split('_').forEach(x => {
          if (x) {
            arr.push(Enum[x])
          }
        })
      });
      return arr.join(',')
    }
  },
}
